#!/usr/bin/env bash
#

if [ ! $# -ge 1 ]; then
    echo "usage: $0 cluster [helm args]"
    exit 1
fi

if [ ! -f create-vcluster.sh ]; then
    echo "error: must be run from toplevel directory"
    exit 1
fi

k='kubectl --context oceanbox'

name=$1
cluster=$name-vcluster
shift

token=$(kubectl get secret --context $cluster -n kube-system admin-token -o json | jq .data.token | tr -d '"' | base64 -d)
config=$(echo "{\"bearerToken\": \"$token\", \"tlsClientConfig\": { \"insecure\" : true }}" | base64 -w0)
$k patch -n argocd secret cluster-$cluster -p "{\"data\":{\"config\":\"$config\"}}"
